Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162334 - milter-greylist has broken initscript
Summary: milter-greylist has broken initscript
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: milter-greylist
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Enrico Scholz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-02 22:19 UTC by Milan Kerslager
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-12-24 13:00:43 UTC


Attachments (Terms of Use)
Patch for init script for milter-greylist (deleted)
2005-07-02 22:19 UTC, Milan Kerslager
no flags Details | Diff
/etc/sysconfig/milter-greylist file (deleted)
2005-07-02 22:21 UTC, Milan Kerslager
no flags Details
Fixed patch for init script (deleted)
2005-07-08 20:08 UTC, Milan Kerslager
no flags Details | Diff
Fixed /etc/sysconfig/milter-greylist file (deleted)
2005-07-08 20:10 UTC, Milan Kerslager
no flags Details
Patch for SPEC file to utilize /etc/sysconfig/milter-greylist (deleted)
2005-07-08 20:25 UTC, Milan Kerslager
no flags Details | Diff

Description Milan Kerslager 2005-07-02 22:19:05 UTC
The initscript for milter-greylist isbroken. There are fixed parameters for PID
file, socket path and run-as-user. Commandline arguments take precedence of
config file so editing config file is worthless and editing init scripts means
that the next update will remove our changes.

So please apply the attached patch to honor config file and allow to override
command line parameters via /etc/sysconfig/milter-greylist. The patch does not
change current behavior, just add new feature.

Working RPM package with SRC package could be found at:
ftp://ftp.pslib.cz/pub/users/Milan.Kerslager/RHEL-3/testing.milter-greylist/
ftp://ftp.pslib.cz/pub/users/Milan.Kerslager/RHEL-4/testing.milter-greylist/

Comment 1 Milan Kerslager 2005-07-02 22:19:06 UTC
Created attachment 116299 [details]
Patch for init script for milter-greylist

Comment 2 Milan Kerslager 2005-07-02 22:21:39 UTC
Created attachment 116300 [details]
/etc/sysconfig/milter-greylist file

This /etc/sysconfig/milter-greylist file is like other config files for
initscriptsin FC or RHEL (httpd, sendmail etc).
You have to add this file to the SPEC file, see URL above with working packages
for RHEL3 and RHEL4.

Comment 3 Milan Kerslager 2005-07-08 20:09:00 UTC
Created attachment 116534 [details]
Fixed patch for init script

There was a wrong patch to the socket file in the first (now obsoleted) patch.

Comment 4 Milan Kerslager 2005-07-08 20:10:58 UTC
Created attachment 116536 [details]
Fixed /etc/sysconfig/milter-greylist file

Same wrong path to the socket file has been fixed.

Comment 5 Milan Kerslager 2005-07-08 20:25:28 UTC
Created attachment 116537 [details]
Patch for SPEC file to utilize /etc/sysconfig/milter-greylist

Just to show how the SPEC file should be changed to utilize
/etc/sysconfig/milter-greylist.

Comment 6 Russell Coker 2005-12-23 12:02:11 UTC
While making such changes please put the socket into /var/run by default. 
 
http://www.pathname.com/fhs/pub/fhs-2.3.html#VARRUNRUNTIMEVARIABLEDATA 
 
Above is the FHS reference for the /var/run directory.  Below is the relevant 
quote: 
 
"System programs that maintain transient UNIX-domain sockets must place them 
in this directory" 

Comment 7 Enrico Scholz 2005-12-24 13:00:43 UTC
ok, I changed 1.6 (FC-4) to read /etc/sysconfig/milter-greylist so that
'OPTIONS' can be overridden there.

I did not added the GRUSER/GRSOCKET/GRPIDFILE code because it is too complicated
for an initscript and slows down the bootprocess. It won't be compatible with
'initng' initmethod.

In FC-5/devel branch, the user and socket will be set in the configfile only.


I changed the location of the socket as suggested in comment #6, too. But only
in devel, not in FC-4 because an upgrade might break existing installations else.


Note You need to log in before you can comment on or make changes to this bug.